Subject: Re: bug#51385: 29.0.50; PragmataPro wide word ligatures such as [ERR] having the left side cut off in cairo build

From: Stefan Kangas <[email-masked]>
Date: Wed, 27 Oct 2021 20:22:15 -0700

"Patrick Lenihan [sc17pl]" <[email-masked]> writes:

> When building Emacs with Cairo support, first characters are missing in
> many ligatures of PragmataPro. This issue has occurred since Emacs
> 27.1 but does not occur when building without Cairo. More details:
> https://github.com/fabrizioschiavi/pragmatapro/issues/181. The same
> occurs regardless of whether prettify-symbols or ligatures.el are
> used, although using ligatures.el appears to allow some of these
> characters to display correctly. More details on ligatures.el:
> https://github.com/mickeynp/ligature.el/issues/33.

Thanks for the bug report.

Could you provide a recipe to reproduce this issue, starting from
"emacs -Q"?